# Checklist

AI-powered feature leveraging xCures’ targeted data extraction/processing to populate validated, customizable question/answer-style items. Responses can be highly flexible and every item returns a justification, supporting documents, and structured data to guide decisions in real time.

 - [GET /api/v1/patient-registry/checklist](https://docs.xcures.com/apis/current/checklist/publicchecklistcontroller_list.md): Get the set of checklists configured for the project.
 - [GET /api/v1/patient-registry/checklist/{checklistId}](https://docs.xcures.com/apis/current/checklist/publicchecklistcontroller_get.md): Get a checklist with each item's questions: the properties of the item definition version an evaluation of the item uses now. Use them to read an evaluation's `result` by name, type and order.
 - [POST /api/v1/patient-registry/checklist/{checklistId}/evaluate](https://docs.xcures.com/apis/current/checklist/publicchecklistcontroller_evaluate.md): Evaluate a checklist for a subject.
 - [POST /api/v1/patient-registry/checklist/{checklistId}/item/{checklistItemId}/feedback](https://docs.xcures.com/apis/current/checklist/publicchecklistcontroller_submititemfeedback.md): Submit feedback on a specific checklist item for a subject.
